#include <algorithm>
#include <cctype>
#include <iostream>
#include <unordered_set>
#include <string>
using namespace std;

int main() {
	string word;
	unordered_set<string> S{"of", "to", "into", "onto", "above", "below", "from", "by", "is", "at"};
	char vowels[] = "aeiou";
	int curlen = 0; // length of the current line of output
	while (cin >> word) {
		// decapitalize
		for (char &c : word) c = tolower(c);
		// of-word
		if (S.find(word) != S.end()) word = "of";
		// vowels
		int cnt = 0; // how many vowels
		for (char c : word)
			if (find(vowels, vowels + 5, c) != vowels + 5)
				cnt++;
		cnt /= 2;
		string wordafter; // word after removing vowels
		for (char c : word) {
			if (cnt == 0 || find(vowels, vowels + 5, c) == vowels + 5) {
				wordafter += c;
			} else {
				cnt--;
			}
		}
		word = wordafter;
		// punctuation
		wordafter = "";
		for (char c : word)
			if (isalpha(c))
				wordafter += c;
		word = wordafter;
		// if we remove all characters, simply don't do anything
		if (word.size() == 0) continue;
		// output and check for size
		printf("%s ", word.c_str());
		curlen += word.size();
		if (curlen > 20) {
			printf("\n");
			curlen = 0;
		}
	}
	return 0;
}
